summaryrefslogtreecommitdiff
path: root/test/make-tar.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/make-tar.sh')
-rwxr-xr-xtest/make-tar.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/test/make-tar.sh b/test/make-tar.sh
index a71e1e1..c088d07 100755
--- a/test/make-tar.sh
+++ b/test/make-tar.sh
@@ -1,7 +1,8 @@
#!/bin/sh
-# $Id: make-tar.sh,v 1.12 2013/10/26 23:11:43 tom Exp $
+# $Id: make-tar.sh,v 1.16 2020/02/02 23:34:34 tom Exp $
##############################################################################
-# Copyright (c) 2010-2011,2013 Free Software Foundation, Inc. #
+# Copyright 2019,2020 Thomas E. Dickey #
+# Copyright 2010-2015,2017 Free Software Foundation, Inc. #
# #
# Permission is hereby granted, free of charge, to any person obtaining a #
# copy of this software and associated documentation files (the "Software"), #
@@ -66,7 +67,7 @@ edit_specfile() {
make_changelog() {
test -f $1 && chmod u+w $1
cat >$1 <<EOF
-`echo $PKG_NAME|tr '[A-Z]' '[a-z]'` ($NCURSES_MAJOR.$NCURSES_MINOR-$NCURSES_PATCH) unstable; urgency=low
+`echo $PKG_NAME|tr '[A-Z]' '[a-z]'` ($NCURSES_MAJOR.$NCURSES_MINOR+$NCURSES_PATCH) unstable; urgency=low
* snapshot of ncurses subpackage for $PKG_NAME.
@@ -80,7 +81,7 @@ test -d ./test && cd ./test
SOURCE=`cd ..;pwd`
BUILD=$TMPDIR/make-tar$$
-trap "cd /; rm -rf $BUILD; exit 0" 0 1 2 5 15
+trap "cd /; rm -rf $BUILD; exit 0" EXIT INT QUIT TERM HUP
umask 077
if ! ( mkdir $BUILD )